#include <bits/stdc++.h>
using namespace std;
int N, K, n[20005],mesto;
int main(){
  cin>>N>>K;
  for(int i=1;i<=N;i++){
    cin>>n[i];
    if(n[i]==K){
      mesto=i;
    }
  }
  if (mesto!=N)  {
    cout<<n[mesto+1]<<endl;
  }
  if (mesto==N) {
      cout << n[1] << endl;
  }





  return 0;
}